Bug 195485 - Review Request: kdegraphics: K Desktop Environment - Graphics Applications
Review Request: kdegraphics: K Desktop Environment - Graphics Applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 10:16 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 04:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpmahowald: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-06-15 10:16:55 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdegraphics.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdegraphics-3.5.3-2.src.rpm
Description: 
Graphics applications for the K Desktop Environment.
Includes:
  kamera (digital camera support)
  kcoloredit (palette editor and color chooser)
  kdvi (displays TeX .dvi files)
  kfax (displays faxfiles)
  kghostview (displays postscript files)
  kiconedit (icon editor)
  kooka (scanner application)
  kpdf (displays PDF files)
  kruler (screen ruler and color measurement tool)
  ksnapshot (screen capture utility)
  kuickshow (quick picture viewer)
  kview (image viewer for GIF, JPEG, TIFF, etc.)


%changelog
* Mon Jun 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-2
- %%doc: AUTHORS COPYING README, app docs (README, TODO, etc...)
- follow icon spec
- fc5+: BR: poppler-devel libXxf86vm-devel
- BR: jasper-devel OpenEXR-devel (kuickshow)
- BR: freeglut-devel (kpovmodeler)
- Obsoletes/Provides: kolorpaint
- Requires: ghostscript-fonts (kpdf)
- drop unecessary kpdf-xft patch4.

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3
Comment 1 Rex Dieter 2006-06-19 14:48:53 EDT
See also bug #195477 – kdegraphics: BuildRequires: imlib-devel (for kuickshow)

Looks like we'll be soon be getting a kdegraphics-extras (sub)pkg as well.
Comment 2 Rex Dieter 2006-06-22 16:15:07 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdegraphics.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdegraphics-3.5.3-3.src.rpm

%changelog
* Wed Jun 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-3
- extras subpkg, includes kuickshow, OpenEXR kfile plugin
Comment 3 Rex Dieter 2006-06-22 16:18:48 EDT
See also kdegraphics-extras review, bug #196378
Comment 4 Rex Dieter 2006-06-23 13:33:55 EDT
%changelog
* Fri Jun 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-4
- include libkfaximage.so in main pkg

Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdegraphics.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdegraphics-3.5.3-4.src.rpm
Comment 5 Parag AN(पराग) 2006-11-11 07:49:15 EST
Howcome this bug is still open since 4 months with no progress made here?
Comment 6 Rex Dieter 2006-11-11 12:08:05 EST
No one has (yet) to step up to review it?

Part of the problem is my fault, I hadn't posted any updates for awhile:

Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdegraphics.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdegraphics-3.5.5-1.src.rpm
Comment 7 John Mahowald 2006-11-27 21:40:50 EST
kdegraphics

Building on FC6 x86_64. All applications ran a simple test successfully.

(In reply to comment #0)
> %changelog
> * Mon Jun 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-2
...
> - fc5+: BR: poppler-devel libXxf86vm-devel


OK, but configure log says: 
You're missing poppler. The additional info plugin for PDF files
files won't be compiled without poppler >= 0.3.1.
You can download poppler from http://poppler.freedesktop.org/


Lots of rpmlint (some of these repeat for every program):

E: kdegraphics postin-without-ldconfig /usr/lib64/libtext2path.so.0.0.0
Add an ldconfig script.


W: kdegraphics dangling-relative-symlink /usr/share/doc/HTML/en/kruler/common ..
/common
Ignore, common is in parent

E: kdegraphics file-in-usr-marked-as-conffile /usr/share/config.kcfg/kdvi.kcfg
Ignore, KDE puts them there.

Lots of:
warning: file contains key "Keywords", this key is currently reserved f
or use within KDE, and should in the future KDE releases be prefixed by "X-"

and 

error: invalid characters in value of key "Keywords[sr]", keys of type 
string may contain ASCII characters except control characters

Ignoring as per the comment in the spec.


+ License GPL
+ Uses macros throughout
+ Source matches
+ Sane BuildRoot
+ devel subpackage
+ Proper %clean
+ Use of %doc macro
+ Sets %defattr
+ Uses %find_lang
Comment 8 Rex Dieter 2007-02-13 07:19:15 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdegraphics.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdegraphics-3.5.6-1.src.rpm

%changelog
* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-1
- kde-3.5.6

* Thu Dec 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-4
- BR: poppler-qt-devel

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-3
- %%post(un): /sbin/ldconfig

* Thu Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-2
- post-3.5.5-kdegraphics.diff
Comment 9 Rex Dieter 2007-03-04 17:08:24 EST
John?  We'd really like to get the KDE stack merged asap.
Comment 10 John Mahowald 2007-03-07 11:23:41 EST
I presume the libtool files are required per the comment on
http://fedoraproject.org/wiki/Packaging/Guidelines

rpmlint:
ignoring file-in-usr-marked-as-conffile and dangling-relative-symlink per comment 7.

E: kdegraphics invalid-soname /usr/lib64/libkdeinit_mrmlsearch.so
libkdeinit_mrmlsearch.so
E: kdegraphics invalid-soname /usr/lib64/libkdeinit_kview.so libkdeinit_kview.so
E: kdegraphics invalid-soname /usr/lib64/libkfaximage.so libkfaximage.so
Ignore, KDE's library packaging.

E: kdegraphics invalid-desktopfile
/tmp/kdegraphics-3.5.6-1.fc7.x86_64.rpm.25225/usr/share/applications/kde/kcmkmrml.desktop
E: kdegraphics invalid-desktopfile
/tmp/kdegraphics-3.5.6-1.fc7.x86_64.rpm.25225/usr/share/applications/kde/kamera.desktop
E: kdegraphics invalid-desktopfile
/tmp/kdegraphics-3.5.6-1.fc7.x86_64.rpm.25225/usr/share/applications/kde/kgamma.desktop
These look bogus, there isn't such a file in the rpms.

W: kdegraphics-devel no-documentation
Ignore.


+ mock builds on devel x86_64
+ Includes license file in %doc
+ removes libtool archives matching {_libdir}/lib*.la
+ SMP flags

APPROVED +
Comment 11 Rex Dieter 2007-04-06 08:42:43 EDT
than, please update cvs, and then you can close this.
Comment 12 Ngo Than 2007-04-17 04:13:07 EDT
it's now fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.